Index: board_enable.c
===================================================================
--- board_enable.c	(revision 1288)
+++ board_enable.c	(working copy)
@@ -1225,195 +1228,195 @@
  */
 static int intel_ich_gpio_set(int gpio, int raise)
 {
-	/* Table mapping the different Intel ICH LPC chipsets. */
-	static struct {
-		uint16_t id;
-		uint8_t base_reg;
-		uint32_t bank0;
-		uint32_t bank1;
-		uint32_t bank2;
-	} intel_ich_gpio_table[] = {
-		{0x2410, 0x58, 0x0FE30000,          0,          0}, /* 82801AA (ICH) */
-		{0x2420, 0x58, 0x0FE30000,          0,          0}, /* 82801AB (ICH0) */
-		{0x2440, 0x58, 0x1BFF391B,          0,          0}, /* 82801BA (ICH2) */
-		{0x244C, 0x58, 0x1A23399B,          0,          0}, /* 82801BAM (ICH2M) */
-		{0x2450, 0x58, 0x1BFF0000,          0,          0}, /* 82801E (C-ICH) */
-		{0x2480, 0x58, 0x1BFF0000, 0x00000FFF,          0}, /* 82801CA (ICH3-S) */
-		{0x248C, 0x58, 0x1A230000, 0x00000FFF,          0}, /* 82801CAM (ICH3-M) */
-		{0x24C0, 0x58, 0x1BFF0000, 0x00000FFF,          0}, /* 82801DB/DBL (ICH4/ICH4-L) */
-		{0x24CC, 0x58, 0x1A030000, 0x00000FFF,          0}, /* 82801DBM (ICH4-M) */
-		{0x24D0, 0x58, 0x1BFF0000, 0x00030305,          0}, /* 82801EB/ER (ICH5/ICH5R) */
-		{0x2640, 0x48, 0x1BFF0000, 0x00030307,          0}, /* 82801FB/FR (ICH6/ICH6R) */
-		{0x2641, 0x48, 0x1BFF0000, 0x00030307,          0}, /* 82801FBM (ICH6M) */
-		{0x27B8, 0x48, 0xFFFFFFFF, 0x000300FF,          0}, /* 82801GB/GR (ICH7 Family) */
-		{0x27B9, 0x48, 0xFFEBFFFE, 0x000300FE,          0}, /* 82801GBM (ICH7-M) */
-		{0x27BD, 0x48, 0xFFEBFFFE, 0x000300FE,          0}, /* 82801GHM (ICH7-M DH) */
-		{0x2810, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HB/HR (ICH8/R) */
-		{0x2811, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HBM (ICH8M-E) */
-		{0x2812, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HH (ICH8DH) */
-		{0x2814, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HO (ICH8DO) */
-		{0x2815, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HEM (ICH8M) */
-		{0x2912, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IH (ICH9DH) */
-		{0x2914, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IO (ICH9DO) */
-		{0x2916, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IR (ICH9R) */
-		{0x2917, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IEM (ICH9M-E) */
-		{0x2918, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IB (ICH9) */
-		{0x2919, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IBM (ICH9M) */
-		{0x3A14, 0x48, 0xFFFFFFFF, 0xFFFFFFFF, 0x00000100}, /* 82801JDO (ICH10DO) */
-		{0x3A16, 0x48, 0xFFFFFFFF, 0xFFFFFFFF, 0x00000100}, /* 82801JIR (ICH10R) */
-		{0x3A18, 0x48, 0xFFFFFFFF, 0xFFFFFFFF, 0x00000100}, /* 82801JIB (ICH10) */
-		{0x3A1A, 0x48, 0xFFFFFFFF, 0xFFFFFFFF, 0x00000100}, /* 82801JD (ICH10D) */
-		{0, 0, 0, 0, 0} /* end marker */
-	};
+        /* Table mapping the different Intel ICH LPC chipsets. */
+        static struct {
+                uint16_t id;
+                uint8_t base_reg;
+                uint32_t bank0;
+                uint32_t bank1;
+                uint32_t bank2;
+        } intel_ich_gpio_table[] = {
+                {0x2410, 0x58, 0x0FE30000,          0,          0}, /* 82801AA (ICH) */
+                {0x2420, 0x58, 0x0FE30000,          0,          0}, /* 82801AB (ICH0) */
+                {0x2440, 0x58, 0x1BFF391B,          0,          0}, /* 82801BA (ICH2) */
+                {0x244C, 0x58, 0x1A23399B,          0,          0}, /* 82801BAM (ICH2M) */
+                {0x2450, 0x58, 0x1BFF0000,          0,          0}, /* 82801E (C-ICH) */
+                {0x2480, 0x58, 0x1BFF0000, 0x00000FFF,          0}, /* 82801CA (ICH3-S) */
+                {0x248C, 0x58, 0x1A230000, 0x00000FFF,          0}, /* 82801CAM (ICH3-M) */
+                {0x24C0, 0x58, 0x1BFF0000, 0x00000FFF,          0}, /* 82801DB/DBL (ICH4/ICH4-L) */
+                {0x24CC, 0x58, 0x1A030000, 0x00000FFF,          0}, /* 82801DBM (ICH4-M) */
+                {0x24D0, 0x58, 0x1BFF0000, 0x00030305,          0}, /* 82801EB/ER (ICH5/ICH5R) */
+                {0x2640, 0x48, 0x1BFF0000, 0x00030307,          0}, /* 82801FB/FR (ICH6/ICH6R) */
+                {0x2641, 0x48, 0x1BFF0000, 0x00030307,          0}, /* 82801FBM (ICH6M) */
+                {0x27B8, 0x48, 0xFFFFFFFF, 0x000300FF,          0}, /* 82801GB/GR (ICH7 Family) */
+                {0x27B9, 0x48, 0xFFEBFFFE, 0x000300FE,          0}, /* 82801GBM (ICH7-M) */
+                {0x27BD, 0x48, 0xFFEBFFFE, 0x000300FE,          0}, /* 82801GHM (ICH7-M DH) */
+                {0x2810, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HB/HR (ICH8/R) */
+                {0x2811, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HBM (ICH8M-E) */
+                {0x2812, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HH (ICH8DH) */
+                {0x2814, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HO (ICH8DO) */
+                {0x2815, 0x48, 0xFFFFFFFF, 0x00FF0FFF,          0}, /* 82801HEM (ICH8M) */
+                {0x2912, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IH (ICH9DH) */
+                {0x2914, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IO (ICH9DO) */
+                {0x2916, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IR (ICH9R) */
+                {0x2917, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IEM (ICH9M-E) */
+                {0x2918, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IB (ICH9) */
+                {0x2919, 0x48, 0xFFFFFFFF, 0x00FFFFFF,          0}, /* 82801IBM (ICH9M) */
+                {0x3A14, 0x48, 0xFFFFFFFF, 0xFFFFFFFF, 0x00000100}, /* 82801JDO (ICH10DO) */
+                {0x3A16, 0x48, 0xFFFFFFFF, 0xFFFFFFFF, 0x00000100}, /* 82801JIR (ICH10R) */
+                {0x3A18, 0x48, 0xFFFFFFFF, 0xFFFFFFFF, 0x00000100}, /* 82801JIB (ICH10) */
+                {0x3A1A, 0x48, 0xFFFFFFFF, 0xFFFFFFFF, 0x00000100}, /* 82801JD (ICH10D) */
+                {0, 0, 0, 0, 0} /* end marker */
+        };
 
-	struct pci_dev *dev;
-	uint16_t base;
-	uint32_t tmp;
-	int i, allowed;
+        struct pci_dev *dev;
+        uint16_t base;
+        uint32_t tmp;
+        int i, allowed;
 
-	/* First, look for a known LPC bridge */
-	for (dev = pacc->devices; dev; dev = dev->next) {
-		uint16_t device_class;
-		/* libpci before version 2.2.4 does not store class info. */
-		device_class = pci_read_word(dev, PCI_CLASS_DEVICE);
-		if ((dev->vendor_id == 0x8086) &&
-		    (device_class == 0x0601)) { /* ISA Bridge */
-			/* Is this device in our list? */
-			for (i = 0; intel_ich_gpio_table[i].id; i++)
-				if (dev->device_id == intel_ich_gpio_table[i].id)
-					break;
+        /* First, look for a known LPC bridge */
+        for (dev = pacc->devices; dev; dev = dev->next) {
+                uint16_t device_class;
+                /* libpci before version 2.2.4 does not store class info. */
+                device_class = pci_read_word(dev, PCI_CLASS_DEVICE);
+                if ((dev->vendor_id == 0x8086) &&
+                    (device_class == 0x0601)) { /* ISA Bridge */
+                        /* Is this device in our list? */
+                        for (i = 0; intel_ich_gpio_table[i].id; i++)
+                                if (dev->device_id == intel_ich_gpio_table[i].id)
+                                        break;
 
-			if (intel_ich_gpio_table[i].id)
-				break;
-		}
-	}
+                        if (intel_ich_gpio_table[i].id)
+                                break;
+                }
+        }
 
-	if (!dev) {
-		msg_perr("\nERROR: No Known Intel LPC Bridge found.\n");
-		return -1;
-	}
+        if (!dev) {
+                msg_perr("\nERROR: No Known Intel LPC Bridge found.\n");
+                return -1;
+        }
 
-	/*
-	 * According to the datasheets, all Intel ICHs have the GPIO bar 5:1
-	 * strapped to zero. From some mobile ICH9 version on, this becomes
-	 * 6:1. The mask below catches all.
-	 */
-	base = pci_read_word(dev, intel_ich_gpio_table[i].base_reg) & 0xFFC0;
+        /*
+         * According to the datasheets, all Intel ICHs have the GPIO bar 5:1
+         * strapped to zero. From some mobile ICH9 version on, this becomes
+         * 6:1. The mask below catches all.
+         */
+        base = pci_read_word(dev, intel_ich_gpio_table[i].base_reg) & 0xFFC0;
 
-	/* Check whether the line is allowed. */
-	if (gpio < 32)
-		allowed = (intel_ich_gpio_table[i].bank0 >> gpio) & 0x01;
-	else if (gpio < 64)
-		allowed = (intel_ich_gpio_table[i].bank1 >> (gpio - 32)) & 0x01;
-	else
-		allowed = (intel_ich_gpio_table[i].bank2 >> (gpio - 64)) & 0x01;
+        /* Check whether the line is allowed. */
+        if (gpio < 32)
+                allowed = (intel_ich_gpio_table[i].bank0 >> gpio) & 0x01;
+        else if (gpio < 64)
+                allowed = (intel_ich_gpio_table[i].bank1 >> (gpio - 32)) & 0x01;
+        else
+                allowed = (intel_ich_gpio_table[i].bank2 >> (gpio - 64)) & 0x01;
 
-	if (!allowed) {
-		msg_perr("\nERROR: This Intel LPC Bridge does not allow"
-			" setting GPIO%02d\n", gpio);
-		return -1;
-	}
+        if (!allowed) {
+                msg_perr("\nERROR: This Intel LPC Bridge does not allow"
+                        " setting GPIO%02d\n", gpio);
+                return -1;
+        }
 
-	msg_pdbg("\nIntel ICH LPC Bridge: %sing GPIO%02d.\n",
-	       raise ? "Rais" : "Dropp", gpio);
+        msg_pdbg("\nIntel ICH LPC Bridge: %sing GPIO%02d.\n",
+               raise ? "Rais" : "Dropp", gpio);
 
-	if (gpio < 32) {
-		/* Set line to GPIO. */
-		tmp = INL(base);
-		/* ICH/ICH0 multiplexes 27/28 on the line set. */
-		if ((gpio == 28) &&
-		    ((dev->device_id == 0x2410) || (dev->device_id == 0x2420)))
-			tmp |= 1 << 27;
-		else
-			tmp |= 1 << gpio;
-		OUTL(tmp, base);
+        if (gpio < 32) {
+                /* Set line to GPIO. */
+                tmp = INL(base);
+                /* ICH/ICH0 multiplexes 27/28 on the line set. */
+                if ((gpio == 28) &&
+                    ((dev->device_id == 0x2410) || (dev->device_id == 0x2420)))
+                        tmp |= 1 << 27;
+                else
+                        tmp |= 1 << gpio;
+                OUTL(tmp, base);
 
-		/* As soon as we are talking to ICH8 and above, this register
-		   decides whether we can set the gpio or not. */
-		if (dev->device_id > 0x2800) {
-			tmp = INL(base);
-			if (!(tmp & (1 << gpio))) {
-				msg_perr("\nERROR: This Intel LPC Bridge"
-					" does not allow setting GPIO%02d\n",
-					gpio);
-				return -1;
-			}
-		}
+                /* As soon as we are talking to ICH8 and above, this register
+                   decides whether we can set the gpio or not. */
+                if (dev->device_id > 0x2800) {
+                        tmp = INL(base);
+                        if (!(tmp & (1 << gpio))) {
+                                msg_perr("\nERROR: This Intel LPC Bridge"
+                                        " does not allow setting GPIO%02d\n",
+                                        gpio);
+                                return -1;
+                        }
+                }
 
-		/* Set GPIO to OUTPUT. */
-		tmp = INL(base + 0x04);
-		tmp &= ~(1 << gpio);
-		OUTL(tmp, base + 0x04);
+                /* Set GPIO to OUTPUT. */
+                tmp = INL(base + 0x04);
+                tmp &= ~(1 << gpio);
+                OUTL(tmp, base + 0x04);
 
-		/* Raise GPIO line. */
-		tmp = INL(base + 0x0C);
-		if (raise)
-			tmp |= 1 << gpio;
-		else
-			tmp &= ~(1 << gpio);
-		OUTL(tmp, base + 0x0C);
-	} else if (gpio < 64) {
-		gpio -= 32;
+                /* Raise GPIO line. */
+                tmp = INL(base + 0x0C);
+                if (raise)
+                        tmp |= 1 << gpio;
+                else
+                        tmp &= ~(1 << gpio);
+                OUTL(tmp, base + 0x0C);
+        } else if (gpio < 64) {
+                gpio -= 32;
 
-		/* Set line to GPIO. */
-		tmp = INL(base + 0x30);
-		tmp |= 1 << gpio;
-		OUTL(tmp, base + 0x30);
+                /* Set line to GPIO. */
+                tmp = INL(base + 0x30);
+                tmp |= 1 << gpio;
+                OUTL(tmp, base + 0x30);
 
-		/* As soon as we are talking to ICH8 and above, this register
-		   decides whether we can set the gpio or not. */
-		if (dev->device_id > 0x2800) {
-			tmp = INL(base + 30);
-			if (!(tmp & (1 << gpio))) {
-				msg_perr("\nERROR: This Intel LPC Bridge"
-					" does not allow setting GPIO%02d\n",
-					gpio + 32);
-				return -1;
-			}
-		}
+                /* As soon as we are talking to ICH8 and above, this register
+                   decides whether we can set the gpio or not. */
+                if (dev->device_id > 0x2800) {
+                        tmp = INL(base + 30);
+                        if (!(tmp & (1 << gpio))) {
+                                msg_perr("\nERROR: This Intel LPC Bridge"
+                                        " does not allow setting GPIO%02d\n",
+                                        gpio + 32);
+                                return -1;
+                        }
+                }
 
-		/* Set GPIO to OUTPUT. */
-		tmp = INL(base + 0x34);
-		tmp &= ~(1 << gpio);
-		OUTL(tmp, base + 0x34);
+                /* Set GPIO to OUTPUT. */
+                tmp = INL(base + 0x34);
+                tmp &= ~(1 << gpio);
+                OUTL(tmp, base + 0x34);
 
-		/* Raise GPIO line. */
-		tmp = INL(base + 0x38);
-		if (raise)
-			tmp |= 1 << gpio;
-		else
-			tmp &= ~(1 << gpio);
-		OUTL(tmp, base + 0x38);
-	} else {
-		gpio -= 64;
+                /* Raise GPIO line. */
+                tmp = INL(base + 0x38);
+                if (raise)
+                        tmp |= 1 << gpio;
+                else
+                        tmp &= ~(1 << gpio);
+                OUTL(tmp, base + 0x38);
+        } else {
+                gpio -= 64;
 
-		/* Set line to GPIO. */
-		tmp = INL(base + 0x40);
-		tmp |= 1 << gpio;
-		OUTL(tmp, base + 0x40);
+                /* Set line to GPIO. */
+                tmp = INL(base + 0x40);
+                tmp |= 1 << gpio;
+                OUTL(tmp, base + 0x40);
 
-		tmp = INL(base + 40);
-		if (!(tmp & (1 << gpio))) {
-			msg_perr("\nERROR: This Intel LPC Bridge does "
-				"not allow setting GPIO%02d\n", gpio + 64);
-			return -1;
-		}
+                tmp = INL(base + 40);
+                if (!(tmp & (1 << gpio))) {
+                        msg_perr("\nERROR: This Intel LPC Bridge does "
+                                "not allow setting GPIO%02d\n", gpio + 64);
+                        return -1;
+                }
 
-		/* Set GPIO to OUTPUT. */
-		tmp = INL(base + 0x44);
-		tmp &= ~(1 << gpio);
-		OUTL(tmp, base + 0x44);
+                /* Set GPIO to OUTPUT. */
+                tmp = INL(base + 0x44);
+                tmp &= ~(1 << gpio);
+                OUTL(tmp, base + 0x44);
 
-		/* Raise GPIO line. */
-		tmp = INL(base + 0x48);
-		if (raise)
-			tmp |= 1 << gpio;
-		else
-			tmp &= ~(1 << gpio);
-		OUTL(tmp, base + 0x48);
-	}
+                /* Raise GPIO line. */
+                tmp = INL(base + 0x48);
+                if (raise)
+                        tmp |= 1 << gpio;
+                else
+                        tmp &= ~(1 << gpio);
+                OUTL(tmp, base + 0x48);
+        }
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -1423,7 +1426,7 @@
  */
 static int intel_ich_gpio16_raise(void)
 {
-	return intel_ich_gpio_set(16, 1);
+        return intel_ich_gpio_set(16, 1);
 }
 
 /*
@@ -1432,7 +1435,7 @@
  */
 static int intel_ich_gpio18_raise(void)
 {
-	return intel_ich_gpio_set(18, 1);
+        return intel_ich_gpio_set(18, 1);
 }
 
 /*
@@ -1441,7 +1444,7 @@
  */
 static int intel_ich_gpio34_raise(void)
 {
-	return intel_ich_gpio_set(34, 1);
+        return intel_ich_gpio_set(34, 1);
 }
 
 /*
@@ -1450,7 +1453,7 @@
  */
 static int intel_ich_gpio19_raise(void)
 {
-	return intel_ich_gpio_set(19, 1);
+        return intel_ich_gpio_set(19, 1);
 }
 
 /*
@@ -1467,7 +1470,7 @@
  */
 static int intel_ich_gpio21_raise(void)
 {
-	return intel_ich_gpio_set(21, 1);
+        return intel_ich_gpio_set(21, 1);
 }
 
 /*
@@ -1478,7 +1481,7 @@
  */
 static int intel_ich_gpio22_raise(void)
 {
-	return intel_ich_gpio_set(22, 1);
+        return intel_ich_gpio_set(22, 1);
 }
 
 /*
@@ -1487,13 +1490,13 @@
  */
 static int board_hp_vl400(void)
 {
-	int ret;
-	ret = intel_ich_gpio_set(25, 1);	/* Master write enable ? */
-	if (!ret)
-		ret = pc8736x_gpio_set(PC87360_ID, 0x09, 1);	/* #WP ? */
-	if (!ret)
-		ret = pc8736x_gpio_set(PC87360_ID, 0x27, 1);	/* #TBL */
-	return ret;
+        int ret;
+        ret = intel_ich_gpio_set(25, 1);        /* Master write enable ? */
+        if (!ret)
+                ret = pc8736x_gpio_set(PC87360_ID, 0x09, 1);    /* #WP ? */
+        if (!ret)
+                ret = pc8736x_gpio_set(PC87360_ID, 0x27, 1);    /* #TBL */
+        return ret;
 }
 
 /*
@@ -1502,11 +1505,11 @@
  */
 static int board_hp_p2706t(void)
 {
-	int ret;
-	ret = pc8736x_gpio_set(PC87364_ID, 0x25, 1);
-	if (!ret)
-		ret = pc8736x_gpio_set(PC87364_ID, 0x26, 1);
-	return ret;
+        int ret;
+        ret = pc8736x_gpio_set(PC87364_ID, 0x25, 1);
+        if (!ret)
+                ret = pc8736x_gpio_set(PC87364_ID, 0x26, 1);
+        return ret;
 }
 
 /*
@@ -1518,7 +1521,7 @@
  */
 static int intel_ich_gpio23_raise(void)
 {
-	return intel_ich_gpio_set(23, 1);
+        return intel_ich_gpio_set(23, 1);
 }
 
 /*
@@ -1528,7 +1531,7 @@
  */
 static int intel_ich_gpio25_raise(void)
 {
-	return intel_ich_gpio_set(25, 1);
+        return intel_ich_gpio_set(25, 1);
 }
 
 /*
@@ -1537,7 +1540,7 @@
  */
 static int intel_ich_gpio26_raise(void)
 {
-	return intel_ich_gpio_set(26, 1);
+        return intel_ich_gpio_set(26, 1);
 }
 
 /*
@@ -1547,7 +1550,7 @@
  */
 static int intel_ich_gpio32_raise(void)
 {
-	return intel_ich_gpio_set(32, 1);
+        return intel_ich_gpio_set(32, 1);
 }
 
 /*
@@ -1556,14 +1559,14 @@
  */
 static int board_acorp_6a815epd(void)
 {
-	int ret;
+        int ret;
 
-	/* Lower Blocks Lock -- pin 7 of PLCC32 */
-	ret = intel_ich_gpio_set(22, 1);
-	if (!ret) /* Top Block Lock -- pin 8 of PLCC32 */
-		ret = intel_ich_gpio_set(23, 1);
+        /* Lower Blocks Lock -- pin 7 of PLCC32 */
+        ret = intel_ich_gpio_set(22, 1);
+        if (!ret) /* Top Block Lock -- pin 8 of PLCC32 */
+                ret = intel_ich_gpio_set(23, 1);
 
-	return ret;
+        return ret;
 }
 
 /*
@@ -1572,13 +1575,13 @@
  */
 static int board_kontron_986lcd_m(void)
 {
-	int ret;
+        int ret;
 
-	ret = intel_ich_gpio_set(34, 1); /* #TBL */
-	if (!ret)
-		ret = intel_ich_gpio_set(35, 1); /* #WP */
+        ret = intel_ich_gpio_set(34, 1); /* #TBL */
+        if (!ret)
+                ret = intel_ich_gpio_set(35, 1); /* #WP */
 
-	return ret;
+        return ret;
 }
 
 /*
@@ -1587,51 +1590,51 @@
  */
 static int via_apollo_gpo_set(int gpio, int raise)
 {
-	struct pci_dev *dev;
-	uint32_t base;
-	uint32_t tmp;
+        struct pci_dev *dev;
+        uint32_t base;
+        uint32_t tmp;
 
-	/* VT82C686 Power management */
-	dev = pci_dev_find(0x1106, 0x3057);
-	if (!dev) {
-		msg_perr("\nERROR: VT82C686 PM device not found.\n");
-		return -1;
-	}
+        /* VT82C686 Power management */
+        dev = pci_dev_find(0x1106, 0x3057);
+        if (!dev) {
+                msg_perr("\nERROR: VT82C686 PM device not found.\n");
+                return -1;
+        }
 
-	msg_pdbg("\nVIA Apollo ACPI: %sing GPIO%02d.\n",
-	       raise ? "Rais" : "Dropp", gpio);
+        msg_pdbg("\nVIA Apollo ACPI: %sing GPIO%02d.\n",
+               raise ? "Rais" : "Dropp", gpio);
 
-	/* select GPO function on multiplexed pins */
-	tmp = pci_read_byte(dev, 0x54);
-	switch(gpio)
-	{
-		case 0:
-			tmp &= ~0x03;
-			break;
-		case 1:
-			tmp |= 0x04;
-			break;
-		case 2:
-			tmp |= 0x08;
-			break;
-		case 3:
-			tmp |= 0x10;
-			break;
-	}
-	pci_write_byte(dev, 0x54, tmp);
+        /* select GPO function on multiplexed pins */
+        tmp = pci_read_byte(dev, 0x54);
+        switch(gpio)
+        {
+                case 0:
+                        tmp &= ~0x03;
+                        break;
+                case 1:
+                        tmp |= 0x04;
+                        break;
+                case 2:
+                        tmp |= 0x08;
+                        break;
+                case 3:
+                        tmp |= 0x10;
+                        break;
+        }
+        pci_write_byte(dev, 0x54, tmp);
 
-	/* PM IO base */
-	base = pci_read_long(dev, 0x48) & 0x0000FF00;
+        /* PM IO base */
+        base = pci_read_long(dev, 0x48) & 0x0000FF00;
 
-	/* Drop GPO0 */
-	tmp = INL(base + 0x4C);
-	if (raise)
-		tmp |= 1U << gpio;
-	else
-		tmp &= ~(1U << gpio);
-	OUTL(tmp, base + 0x4C);
+        /* Drop GPO0 */
+        tmp = INL(base + 0x4C);
+        if (raise)
+                tmp |= 1U << gpio;
+        else
+                tmp &= ~(1U << gpio);
+        OUTL(tmp, base + 0x4C);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -1641,7 +1644,7 @@
  */
 static int via_apollo_gpo4_lower(void)
 {
-	return via_apollo_gpo_set(4, 0);
+        return via_apollo_gpo_set(4, 0);
 }
 
 /*
@@ -1650,7 +1653,7 @@
  */
 static int via_apollo_gpo0_lower(void)
 {
-	return via_apollo_gpo_set(0, 0);
+        return via_apollo_gpo_set(0, 0);
 }
 
 /*
@@ -1661,28 +1664,28 @@
  */
 static int board_msi_651ml(void)
 {
-	struct pci_dev *dev;
-	uint16_t base, temp;
+        struct pci_dev *dev;
+        uint16_t base, temp;
 
-	dev = pci_dev_find(0x1039, 0x0962);
-	if (!dev) {
-		msg_perr("Expected south bridge not found\n");
-		return 1;
-	}
+        dev = pci_dev_find(0x1039, 0x0962);
+        if (!dev) {
+                msg_perr("Expected south bridge not found\n");
+                return 1;
+        }
 
-	/* Registers 68 and 64 seem like bitmaps. */
-	base = pci_read_word(dev, 0x74);
-	temp = INW(base + 0x68);
-	temp &= ~(1 << 0);		/* Make pin output? */
-	OUTW(temp, base + 0x68);
+        /* Registers 68 and 64 seem like bitmaps. */
+        base = pci_read_word(dev, 0x74);
+        temp = INW(base + 0x68);
+        temp &= ~(1 << 0);              /* Make pin output? */
+        OUTW(temp, base + 0x68);
 
-	temp = INW(base + 0x64);
-	temp |= (1 << 0);		/* Raise output? */
-	OUTW(temp, base + 0x64);
+        temp = INW(base + 0x64);
+        temp |= (1 << 0);               /* Raise output? */
+        OUTW(temp, base + 0x64);
 
-	w836xx_memw_enable(0x2E);
+        w836xx_memw_enable(0x2E);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -1694,29 +1697,29 @@
 static uint16_t smsc_find_runtime(uint16_t sio_port, uint16_t chip_id,
                                   uint8_t logical_device)
 {
-	uint16_t rt_port = 0;
+        uint16_t rt_port = 0;
 
-	/* Verify the chip ID. */
-	OUTB(0x55, sio_port);  /* Enable configuration. */
-	if (sio_read(sio_port, 0x20) != chip_id) {
-		msg_perr("\nERROR: SMSC Super I/O not found.\n");
-		goto out;
-	}
+        /* Verify the chip ID. */
+        OUTB(0x55, sio_port);  /* Enable configuration. */
+        if (sio_read(sio_port, 0x20) != chip_id) {
+                msg_perr("\nERROR: SMSC Super I/O not found.\n");
+                goto out;
+        }
 
-	/* If the runtime block is active, get its address. */
-	sio_write(sio_port, 0x07, logical_device);
-	if (sio_read(sio_port, 0x30) & 1) {
-		rt_port = (sio_read(sio_port, 0x60) << 8)
-		          | sio_read(sio_port, 0x61);
-	}
+        /* If the runtime block is active, get its address. */
+        sio_write(sio_port, 0x07, logical_device);
+        if (sio_read(sio_port, 0x30) & 1) {
+                rt_port = (sio_read(sio_port, 0x60) << 8)
+                          | sio_read(sio_port, 0x61);
+        }
 
-	if (rt_port == 0) {
-		msg_perr("\nERROR: "
-			"Super I/O runtime interface not available.\n");
-	}
+        if (rt_port == 0) {
+                msg_perr("\nERROR: "
+                        "Super I/O runtime interface not available.\n");
+        }
 out:
-	OUTB(0xaa, sio_port);  /* Disable configuration. */
-	return rt_port;
+        OUTB(0xaa, sio_port);  /* Disable configuration. */
+        return rt_port;
 }
 
 /*
@@ -1725,31 +1728,31 @@
  */
 static int board_mitac_6513wu(void)
 {
-	struct pci_dev *dev;
-	uint16_t rt_port;
-	uint8_t val;
+        struct pci_dev *dev;
+        uint16_t rt_port;
+        uint8_t val;
 
-	dev = pci_dev_find(0x8086, 0x2410);	/* Intel 82801AA ISA bridge */
-	if (!dev) {
-		msg_perr("\nERROR: Intel 82801AA ISA bridge not found.\n");
-		return -1;
-	}
+        dev = pci_dev_find(0x8086, 0x2410);     /* Intel 82801AA ISA bridge */
+        if (!dev) {
+                msg_perr("\nERROR: Intel 82801AA ISA bridge not found.\n");
+                return -1;
+        }
 
-	rt_port = smsc_find_runtime(0x4e, 0x54 /* LPC47U33x */, 0xa);
-	if (rt_port == 0)
-		return -1;
+        rt_port = smsc_find_runtime(0x4e, 0x54 /* LPC47U33x */, 0xa);
+        if (rt_port == 0)
+                return -1;
 
-	/* Configure the GPIO pin. */
-	val = INB(rt_port + 0x33);  /* GP30 config */
-	val &= ~0x87;               /* Output, non-inverted, GPIO, push/pull */
-	OUTB(val, rt_port + 0x33);
+        /* Configure the GPIO pin. */
+        val = INB(rt_port + 0x33);  /* GP30 config */
+        val &= ~0x87;               /* Output, non-inverted, GPIO, push/pull */
+        OUTB(val, rt_port + 0x33);
 
-	/* Disable write protection. */
-	val = INB(rt_port + 0x4d);  /* GP3 values */
-	val |= 0x01;                /* Set GP30 high. */
-	OUTB(val, rt_port + 0x4d);
+        /* Disable write protection. */
+        val = INB(rt_port + 0x4d);  /* GP3 values */
+        val |= 0x01;                /* Set GP30 high. */
+        OUTB(val, rt_port + 0x4d);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -1759,37 +1762,37 @@
  */
 static int it8703f_gpio51_raise(void)
 {
-	uint16_t id, base;
-	uint8_t tmp;
+        uint16_t id, base;
+        uint8_t tmp;
 
-	/* Find the IT8703F. */
-	w836xx_ext_enter(0x2E);
-	id = (sio_read(0x2E, 0x20) << 8) | sio_read(0x2E, 0x21);
-	w836xx_ext_leave(0x2E);
+        /* Find the IT8703F. */
+        w836xx_ext_enter(0x2E);
+        id = (sio_read(0x2E, 0x20) << 8) | sio_read(0x2E, 0x21);
+        w836xx_ext_leave(0x2E);
 
-	if (id != 0x8701) {
-		msg_perr("\nERROR: IT8703F Super I/O not found.\n");
-		return -1;
-	}
+        if (id != 0x8701) {
+                msg_perr("\nERROR: IT8703F Super I/O not found.\n");
+                return -1;
+        }
 
-	/* Get the GP567 I/O base. */
-	w836xx_ext_enter(0x2E);
-	sio_write(0x2E, 0x07, 0x0C);
-	base = (sio_read(0x2E, 0x60) << 8) | sio_read(0x2E, 0x61);
-	w836xx_ext_leave(0x2E);
+        /* Get the GP567 I/O base. */
+        w836xx_ext_enter(0x2E);
+        sio_write(0x2E, 0x07, 0x0C);
+        base = (sio_read(0x2E, 0x60) << 8) | sio_read(0x2E, 0x61);
+        w836xx_ext_leave(0x2E);
 
-	if (!base) {
-		msg_perr("\nERROR: Failed to read IT8703F Super I/O GPIO"
-			" Base.\n");
-		return -1;
-	}
+        if (!base) {
+                msg_perr("\nERROR: Failed to read IT8703F Super I/O GPIO"
+                        " Base.\n");
+                return -1;
+        }
 
-	/* Raise GP51. */
-	tmp = INB(base);
-	tmp |= 0x02;
-	OUTB(tmp, base);
+        /* Raise GP51. */
+        tmp = INB(base);
+        tmp |= 0x02;
+        OUTB(tmp, base);
 
-	return 0;
+        return 0;
 }
 
 /*
@@ -1798,52 +1801,52 @@
  */
 static int it8712f_gpio_set(unsigned int line, int raise)
 {
-	unsigned int port;
-	uint16_t id, base;
-	uint8_t tmp;
+        unsigned int port;
+        uint16_t id, base;
+        uint8_t tmp;
 
-	port = line / 10;
-	port--;
-	line %= 10;
+        port = line / 10;
+        port--;
+        line %= 10;
 
-	/* Check line */
-	if ((port > 4) || /* also catches unsigned -1 */
-	    ((port < 4) && (line > 7)) || ((port == 4) && (line > 5))) {
-	    msg_perr("\nERROR: Unsupported IT8712F GPIO line %02d.\n", line);
-	    return -1;
-	}
+        /* Check line */
+        if ((port > 4) || /* also catches unsigned -1 */
+            ((port < 4) && (line > 7)) || ((port == 4) && (line > 5))) {
+            msg_perr("\nERROR: Unsupported IT8712F GPIO line %02d.\n", line);
+            return -1;
+        }
 
-	/* Find the IT8712F. */
-	enter_conf_mode_ite(0x2E);
-	id = (sio_read(0x2E, 0x20) << 8) | sio_read(0x2E, 0x21);
-	exit_conf_mode_ite(0x2E);
+        /* Find the IT8712F. */
+        enter_conf_mode_ite(0x2E);
+        id = (sio_read(0x2E, 0x20) << 8) | sio_read(0x2E, 0x21);
+        exit_conf_mode_ite(0x2E);
 
-	if (id != 0x8712) {
-		msg_perr("\nERROR: IT8712F Super I/O not found.\n");
-		return -1;
-	}
+        if (id != 0x8712) {
+                msg_perr("\nERROR: IT8712F Super I/O not found.\n");
+                return -1;
+        }
 
-	/* Get the GPIO base */
-	enter_conf_mode_ite(0x2E);
-	sio_write(0x2E, 0x07, 0x07);
-	base = (sio_read(0x2E, 0x62) << 8) | sio_read(0x2E, 0x63);
-	exit_conf_mode_ite(0x2E);
+        /* Get the GPIO base */
+        enter_conf_mode_ite(0x2E);
+        sio_write(0x2E, 0x07, 0x07);
+        base = (sio_read(0x2E, 0x62) << 8) | sio_read(0x2E, 0x63);
+        exit_conf_mode_ite(0x2E);
 
-	if (!base) {
-		msg_perr("\nERROR: Failed to read IT8712F Super I/O GPIO"
-			" Base.\n");
-		return -1;
-	}
+        if (!base) {
+                msg_perr("\nERROR: Failed to read IT8712F Super I/O GPIO"
+                        " Base.\n");
+                return -1;
+        }
 
-	/* set GPIO. */
-	tmp = INB(base + port);
-	if (raise)
-	    tmp |= 1 << line;
-	else
-	    tmp &= ~(1 << line);
-	OUTB(tmp, base + port);
+        /* set GPIO. */
+        tmp = INB(base + port);
+        if (raise)
+            tmp |= 1 << line;
+        else
+            tmp &= ~(1 << line);
+        OUTB(tmp, base + port);
 
-	return 0;
+        return 0;
 }
 
 /*
